
Infrastructure - Task #2903

Story # 2720 (Closed): KNB, LTER, PISCO, ESA, SANPARKS roll out

Task # 2881 (Closed): ESA + PARC MN upgrade

Task # 2845 (Closed): Build new ESA server on mn-ucsb-2.dataone.org 

Migrate postgres DB for ESA

2012-06-10 04:05 - Ben Leinfelder

Status: Closed Start date: 2012-06-10

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.35-Block.5.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Current production ESA db has Metacat 1.9.2 structure. Testing the sequential upgrade through 1.9.3->4->5->2.0.0 will be good.

On original server:

sudo -u postgres bash -c "/usr/bin/pg_dump -Fc esa > /tmp/esa.dump"

scp /tmp/esa.dump leinfelder@mn-ucsb-2.dataone.org:/tmp/esa.dump

On target ESA:

sudo -u postgres bash -c "/usr/bin/pg_restore -d esa /tmp/esa.dump"

History

#1 - 2012-06-10 04:22 - Ben Leinfelder

- Status changed from New to In Progress

- % Done changed from 0 to 90

The upgrade worked perfectly. 

#2 - 2012-06-15 13:03 - Ben Leinfelder

- Status changed from In Progress to Closed
